---
title: Media Guidelines
copyrights:
  -
    name: "Ryan Heywood"
    email: "ryan@hashbang.sh"
---

# Media Guidelines

Media is a central part of communication. The ability to integrate other
services into your communication is essential, whether it's showing stars and
forks on a GitHub repository, likes on a Facebook post, or even just a normal
image, having those simple additions to make links more convenient at a glance
helps users comprehend information without having a visual disruption like
launching a new tab or a new browser session.

Old versions of IRC were designed to be text-only, sharing links to a third
party platform which had the media. This is a perfectly good solution, but
there's some things that clients can do to make this more intuitive for the
user. For example, when an image is linked in a conversation, it might be
useful to give the user the option to show (or hide, if show is the default)
the image, giving the user less interruption in their conversational flow.

Similarly, IRC is used quite often with programming and software support, so
the ability to send messages with multiple uninterrupted lines can also be
useful to users. However, because there is (as of January 2019) no support to
send messages with multiple lines, most users opt to go for a paste service.
Most of these paste services do have a "raw" option (although oftentimes not an
automated way to find the URL - this will have to be done per-client) to show
the raw content of the paste.

It is important to mention that while such things can be considered intuitive
for the person using the client, such things should always have an option to be
disabled - for example, to protect users' privacy, or if the user doesn't want
images and other media to automatically be loaded. Additionally, for media such
as paste services that can span across a large amount of the screen, it is
suggested to use a "See More" option to prevent immediately filling the screen
and losing conversational context.
